# Get event notification settings

Endpoint: GET /hooks_settings/{location_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (object)
    Object with data

  - `data.urls` (array)
    List of addresses to send notifications to

  - `data.active` (integer)
    1 - notifications are active, 0 - not active

  - `data.salon` (integer)
    1 - send events by location entity, 0 - do not send

  - `data.service_category` (integer)
    1 - send events by service category entity, 0 - do not send

  - `data.service` (integer)
    1 - send events by service entity, 0 - do not send

  - `data.good` (integer)
    1 - send events by product entity, 0 - don't send

  - `data.master` (integer)
    1 - send events by team member entity, 0 - don't send

  - `data.client` (integer)
    1 - send events by client entity, 0 - don't send

  - `data.record` (integer)
    1 - send events by appointment entity, 0 - do not send

  - `data.goods_operations_sale` (integer)
    1 - send events by the product sale entity, 0 - do not send

  - `data.goods_operations_receipt` (integer)
    1 - send events by the entity arrival of products, 0 - do not send

  - `data.goods_operations_consumable` (integer)
    1 - send events by the consumable write-off entity, 0 - do not send

  - `data.goods_operations_stolen` (integer)
    1 - send events by the product write-off entity, 0 - do not send

  - `data.goods_operations_move` (integer)
    1 - send events by the product movement entity, 0 - no send

  - `data.finances_operation` (integer)
    1 - send events by entity financial operation, 0 - no send

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

